#include <bits/stdc++.h>

#define ll long long
#define ios ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
#define mod 1000000009

using namespace std;

int main(){
    string a,b,c;
    set<string>s;
    cin>>a>>b>>c;
    s.insert(a+b+c);
    s.insert(a+c+b);
    s.insert(b+a+c);
    s.insert(b+c+a);
    s.insert(c+a+b);
    s.insert(c+b+a);
    auto it=s.rbegin();
    cout<<*it;
    return 0;
}